/**
 * BoomTimer application by Denis Volkov (C) 2010 
 * Main midlet class
 */ 

package boomtimer;

import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;

public class BoomMIDlet extends MIDlet
{
  private BoomCanvas can = null;

  public BoomMIDlet()
  {
  }


  /**
   * Called when MIDlet is started.
   * Checks whether the MIDlet have been already started and initialize/starts or resumes the MIDlet.
   */
  public void startApp() 
  {
    if(can == null)
      can = new BoomCanvas(this);
    Display.getDisplay(this).setCurrent(can);
  }
  
  public void exitMIDlet()
  {
    notifyDestroyed();
  }

  /**
   * Called when MIDlet is paused.
   */
  public void pauseApp() {
  }

  /**
   * Called to signal the MIDlet to terminate.
   * @param unconditional if true, then the MIDlet has to be unconditionally terminated and all resources has to be released.
   */
  public void destroyApp(boolean unconditional)
  {
  }
}
